## org.codehaus.groovy.grails.web.filters
Interface GrailsFiltersClass

All Superinterfaces:
  GrailsClass, InjectableGrailsClass

    public interface GrailsFiltersClass

extends InjectableGrailsClass

Interface that defines filter class which return a list of FilterConfig instances

Author:
  mike, Graeme Rocher

Method Summary
`List` `getConfigs(Object filterInstance)`

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Method Detail

### getConfigs

    List getConfigs(Object filterInstance)

  Returns:
    A list of FilterConfig instances

Copyright (c) 2005-2009 The Grails project